[Version]
Signature = "$CHICAGO$"
DEVTYPE_INI_FILE = 1

[FLAGS]
CTY_PARMS = 0

[Manufacturer]
Conexant = Conexant

[Conexant]
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC03B ; G-Series
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC03D
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC03F
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC041
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC043
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC045
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC047
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC049
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC04B
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC04D
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA0005 ; V4400
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA0009 ; V4400
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA0004 ; LaBatt
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA0008 ; LaBatt
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA2215 ; VIUS6
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA2216
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA2217
Conexant = HdAudModel3, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3800 ; Venus3

Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC03B ; G-Series
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC03D
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC03F
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC041
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC043
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC045
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC047
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC049
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC04B
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC04D
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA0005 ; V4400
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA0009 ; V4400
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA0004 ; LaBatt
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA0008 ; LaBatt
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA2215 ; VIUS6
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA2216
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA2217
Conexant = HdAudModel3, HDAUDIO\FUNC_01&VEN_14F1&DEV_5114&SUBSYS_17AA3800 ; Venus3

[HdAudModel1]
AddReg = AFA1.AddReg

[HdAudModel2]
AddReg = AFA2.AddReg

[HdAudModel3]
AddReg = AFA3.AddReg

[AFA1.AddReg]
HKLM,SOFTWARE\Conexant\AFA,AFA_Settings,0x10001,0x00240008

[AFA2.AddReg]
HKLM,SOFTWARE\Conexant\AFA,AFA_Settings,0x10001,0x00360008 ; 0x120000 is based on enable rotation feature for SPK + Array MIC

[AFA3.AddReg]
HKLM,SOFTWARE\Conexant\AFA,AFA_Settings,0x10001,0x00020008
HKLM,SOFTWARE\Conexant\AFA\Hotkey,EnableHotkey,0x10001,0x00000001
HKLM,SOFTWARE\Conexant\AFA\Hotkey,HotkeyScancode,1,00,00,E0,4E
HKLM,SOFTWARE\Conexant\AFA\Hotkey,EnableGPIO0,0x10001,0x00000000 ; Lenovo
HKLM,SOFTWARE\Conexant\AFA\Hotkey,SendMsgOSD,0x10001,0x00000001 ; Lenovo